from api_validations.core_validations import BaseModelRegular
from api_validations.validations_request import (
    PydanticBaseModel,
    ListOptions,
)
from typing import Optional
from pydantic import BaseModel


class ChangePassword(BaseModelRegular):
    domain_name: str
    access_key: str
    old_password: str
    new_password: str


class CreatePassword(BaseModelRegular):
    password_token: str
    password: str
    re_password: str


class OccupantSelection(BaseModel):
    occupant_uu_id: str
    build_part_uu_id: str


class EmployeeSelection(BaseModel):
    company_uu_id: str


class Login(BaseModelRegular):
    domain: str
    access_key: str
    password: str
    remember_me: Optional[bool] = False


class Logout(BaseModelRegular):
    domain: str


class Remember(BaseModelRegular):
    domain: str
    refresh_token: str


class Forgot(BaseModelRegular):
    domain: str
    access_key: str
